Get media asset list

Prev Next

Available in VPC

Get the list of media assets in a project.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets

Request headers

For information about the headers common to all Media Intelligence APIs, see Media Intelligence request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
workspace_name String Required Workspace name
project_id String Required Project ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
pageNum Integer Required Page number
  • 1 or more
pageSize Integer Optional Number of items per page
  • 1-1000 (default: 1000)

Request example

The request example is as follows:

curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets?pageNum=1&pageSize=100' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response body

The response body includes the following data:

Field Type Required Description
code String Required API processing result code
message String Required API processing result message
result Object Required API return information
result.content Array Required Media asset list: content
result.totalCount Integer Required Total media asset count
result.totalPage Integer Required Total number of pages
result.pageNo Integer Required Page number
result.pageSize Integer Required Number of items per page

content

The following describes content.

Field Type Required Description
assetId Integer - Media asset ID
fileName String - Media file name
projectId Integer - Project ID
metaData Object - Metadata details
metaData.resolution String - Resolution
  • Example: 1920x1080
metaData.durationMs Integer - Video length (millisecond)
metaData.size Integer - Asset file size (byte)
metaData.format String - File format
  • mp4 | mkv | mov | webm | png |jpg | heic
key String - Full file name of the media uploaded to Object Storage
createUserName String - User name that registered the media asset
createdTime String - Media asset registration date and time
  • ISO 8601 format
updateUserName String - User name who last edited the media asset
updatedTime String - Media asset last modification date and time
  • ISO 8601 format

Response status codes

For information about the HTTP status codes common to all Media Intelligence APIs, see Media Intelligence response status codes.

Response example

The response example is as follows:

{
    "code": "0",
    "message": "success",
    "result": {
        "content": [
            {
                "assetId": 1001,
                "fileName": "sample-video-one.mp4",
                "projectId": 1234,
                "metaData": {
                    "resolution": "1280x720",
                    "durationMs": 91565,
                    "size": 101176289,
                    "format": "mp4"
                },
                "key": "sample-video-one.mp4",
                "createUserName": "user1",
                "createdTime": "2025-04-23T16:49:24",
                "updateUserName": "user1",
                "updatedTime": "2025-04-23T16:49:25"
            },
            {
                "assetId": 1002,
                "fileName": "sample-video-two.mp4",
                "projectId": 1234,
                "metaData": {
                    "resolution": "1920x1080",
                    "durationMs": 253702,
                    "size": 120333399,
                    "format": "mp4"
                },
                "key": "sample-video-two.mp4",
                "createUserName": "user2",
                "createdTime": "2025-04-23T17:13:37",
                "updateUserName": "user2",
                "updatedTime": "2025-04-23T17:13:38"
            },
            {
                "assetId": 1003,
                "fileName": "sample-video-three.mp4",
                "projectId": 1234,
                "metaData": {
                    "resolution": "1920x1080",
                    "durationMs": 293849,
                    "size": 76597066,
                    "format": "mp4"
                },
                "key": "sample-video-three.mp4",
                "createUserName": "user3",
                "createdTime": "2025-04-23T17:13:48",
                "updateUserName": "user3",
                "updatedTime": "2025-04-23T17:13:49"
            }
        ],
        "totalCount": 3,
        "totalPage": 1,
        "pageNo": 1,
        "pageSize": 100
    }
}